## cumulus-tools 4.0-cl4.3.2u2

=== Makefile ===
#-------------------------------------------------------------------------------
#
# Copyright 2013, 2016, 2017 Cumulus Networks, Inc.  All rights reserved
#

# Default target gets called by dh_build

all:

.PHONY: install
install:
	@ mkdir -p $(DESTDIR)/var/support/core

clean:
	rm -f $(LSB_RELEASE_FILE) $(OS_RELEASE_FILE)

=== debian/changelog ===
cumulus-tools (4.0-cl4.3.2u2) RELEASED; urgency=medium

   * Cumulus Linux 4.3.2

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 28 Sep 2023 02:20:50 -0700

cumulus-tools (4.0-cl4.3.2u1) RELEASED; urgency=medium

   * Cumulus Linux 4.3.2

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 22 Sep 2023 02:21:43 -0700

cumulus-tools (4.0-cl4.3.1u1) RELEASED; urgency=medium

   * Cumulus Linux 4.3.1

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 10 Mar 2022 15:47:00 -0800

cumulus-tools (4.0-cl4.3.0u11) RELEASED; urgency=medium

   * Cumulus Linux 4.3.0

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 25 Jan 2021 15:04:23 -0800

cumulus-tools (4.0-cl4.3.0u10) RELEASED; urgency=medium

   * Cumulus Linux 4.3.0

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 20 Jan 2021 09:50:29 -0800

cumulus-tools (4.0-cl4.2.1u2) RELEASED; urgency=medium

   * Closes CM-31004: suppress Traffic.conf checker info/warn messaging around PFC values
   * Minor bug fixes

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 25 Aug 2020 14:05:16 -0700

cumulus-tools (4.0-cl4u6) RELEASED; urgency=medium

  * Closes: CM-30269 BCM refactor

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 12 Aug 2020 12:57:15 -0700

cumulus-tools (4.0-cl4u5) RELEASED; urgency=medium

   * For CL 4.2.0
   * Minor bug fixes
   * Closes: CM-29179 Added Mellanox SSD firmware upgrade utility
   * Closes: CM-29340 BCM : Pause and PFC configurations not getting written to config.bcm
   * Closes: CM-29409 [fb-mp] When PFC is configured control queue is not taking priority over other class
   * Closes: CM-29410 fb-mp: all control and service queue traffic getting dropped without PFC
   * Closes: CM-28935 show MLX parser length

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 02 Jun 2020 15:57:15 -0700

cumulus-tools (4.0-cl4u4) RELEASED; urgency=medium

   * For CL 4.1.1:
   * CM-29111: make regeneration of ssh host keys actually work.

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 08 Apr 2020 10:52:00 -0700

cumulus-tools (4.0-cl4u3) RELEASED; urgency=medium

   * Netq is enabled for default vrf (instead of mgmt vrf) by default
   * Add support for DellEMC N3248PXE
   * Validation checker for traffic.conf
   * Collect presence, reset, tx_enable/tx_disable sysfs files in cl-support
   * Added an option for hitless port breakout to update-ports
   * Support for QMX CoS knows via traffic.conf
   * Dynamic NAT changes for Broadcom
   * Closes: CM-26055 MLX: Configure fields used for ECMP/LACP balancing (hashing algo)
   * Closes: CM-26730: btrfs rebalance -- improvements to optimize disk use
   * Closes: CM-25992: 4610-54T FAN speed definition mismatch
   * Closes: CM-27408: cl-support module : collect mroute VRF tables
   * Closes; CM-25928: cl-acltool sends traceback when calling non-existing function "remove"
   * Closes: CM-27803: On-the-fly firmware upgrade of certain Virtium SSD drives on Mellanox switches
   * Closes: CM-28012: cl-support : 'decode-syseeprom -t all' fails if psu is missing
   * Closes: CM-25641: Traceback in bmcd when BMC is non-responsive

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 11 Mar 2020 08:51:11 -0700

cumulus-tools (4.0-cl4u2) RELEASED; urgency=medium

   * Minor bug fixes
   * Changed netqd.service to run in mgmt vrf at first install

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 20 Nov 2019 08:21:44 -0800

cumulus-tools (4.0-cl4u1) RELEASED; urgency=medium

   * First 4.0 release

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 15 Nov 2019 12:55:14 -0800

cumulus-tools (3.7.0-cl3u12) RELEASED; urgency=medium

  * Minor bug fixes
  * Add support for DellEMC S5224F
  * Add support for AG6248C
  * Limit core files from systemd services to 250MB
  * Closes CM-26147: Fix setcap settings on ping, traceroute for ARM platforms
  * Various neighmgrd improvements, and man page added
  * Closes: CM-26055 Configure fields used for ECMP/LACP hash on Mellanox
  * Closes: CM-27368 and CM-27369 fix sensor log messages for some platforms

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 26 Nov 2019 12:51:25 -0800

cumulus-tools (3.7.0-cl3u11) RELEASED; urgency=medium

  * Minor bug fixes
  * Support for new platforms
  * Closes CM-25199: Add the 100G ports to N3248PXE platform

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 27 Sep 2019 10:31:01 -0700

cumulus-tools (3.7.0-cl3u10) RELEASED; urgency=medium

  * Minor bug fixes

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 11 Sep 2019 18:14:02 -0700

cumulus-tools (3.7.0-cl3u9) RELEASED; urgency=medium

  * New Enabled: cumulus-pstore service to save panic pstore files
  * Closes: CM-25604 - Fix routing table configuration for Maverick
  * New Enabled: support for DellEMC N3248PXE

 -- dev-support <dev-support@cumulusnetworks.com>  Sun, 01 Sep 2019 08:32:31 -0700

cumulus-tools (3.7.0-cl3u8) RELEASED; urgency=medium

  * Closes CM-12967 - Pause frames sent by tomahawk switch are not honored
  * Closes CM-23856 - smonctl reports all psu are missing on newer qct-ly4r revisions 
  * Closes CM-24047 - neighmgrd sends Periodic ARP request with sender IP 0.0.0.0
  * Partially Closes CM-24846 - sanity check and correct date at boot

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 05 Jun 2019 17:53:49 -0700

cumulus-tools (3.7.0-cl3u7) RELEASED; urgency=medium

  * Closes CM-18682 - smonctl json parsing errors
  * Support for platforms that do not use grub.

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 26 Apr 2019 12:52:12 -0700

cumulus-tools (3.7.0-cl3u6) RELEASED; urgency=medium

  * Closes CM-24455 - Run update-grub so spectre workarounds are disabled.

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 02 Apr 2019 13:33:34 -0700

cumulus-tools (3.7.0-cl3u5) RELEASED; urgency=medium

  * Add support for adding discard (TRIM) option on 3ME3, 3IE3, and 3IE4
    SSD flash drives.


=== debian/control ===
Source: cumulus-tools
Section: net
Priority: optional
Maintainer: dev-support <dev-support@cumulusnetworks.com>
Build-Depends: debhelper (>=10), dh-python, dh-systemd, python, python-docutils,
  git, systemd
Standards-Version: 3.9.8
Homepage: http://www.cumulusnetworks.com

Package: cumulus-tools
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, cumulus-platform,
  python-tabulate (>= 0.7.4), python-dpkt, openssh-server, login (>= 1:4.2-3),
  cumulus-basefiles, bash-completion, login, logrotate, systemd, python-yaml,
  python-configobj, rsync, hdparm, python-argcomplete
Recommends:  cumulus-poe
Description: Cumulus Linux tools and services
 This package provides infrastructure (configuration files and services)
 for Cumulus Linux

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

build:

%:
	dh $@ --with systemd,python2

# Be explicit about what should and should not be (re)started on install.
# cumulus-core and cumulus-support are started by 'path' services when the
# directory changes.
# cumulus-firstboot is a first-boot after image install service (and causes
# ssh to be stopped # when it is started).
# We don't ever want to restart firstboot, stopssh, or fastfailover because
# of their side effects.
# bootlog, and ztp should only run during bootup
# Because we do the override, we need to list all the services
# here as either start or --no-start.
#
# Unfortunately, there is some kind of bug in dh_systemd_start, such
# that it adds all the services as a start, if any of them are marked
# as start.  So this rule is now entirely empty, and the "appropriate"
# set is inline directly in postinst, preinst, and prerm.
override_dh_systemd_start:
	@echo Output of following is directly in postinst dh_systemd_start --name=aclinit --name=acltool --name=asic-monitor --name=bmcd --name=decode-syseeprom --name=ledmgrd --name=pwmd --name=smond --name=sysmonitor

override_dh_systemd_enable:
	dh_systemd_enable --name=cumulus-firstboot cumulus-firstboot.service
	dh_systemd_enable --name=stopssh stopssh.service
	dh_systemd_enable --name=cumulus-core cumulus-core.service
	dh_systemd_enable --name=cumulus-support cumulus-support.service
	dh_systemd_enable --name=ledmgrd ledmgrd.service
	dh_systemd_enable --name=smond smond.service
	dh_systemd_enable --name=asic-monitor asic-monitor.service
	dh_systemd_enable --name=acltool acltool.service
	dh_systemd_enable --name=pwmd pwmd.service
	dh_systemd_enable --name=aclinit aclinit.service
	dh_systemd_enable --name=decode-syseeprom decode-syseeprom.service
	dh_systemd_enable --name=cumulus-fastfailover cumulus-fastfailover.service
	dh_systemd_enable --name=bootlog bootlog.service
	dh_systemd_enable --name=ztp ztp.service
	dh_systemd_enable --name=sysmonitor sysmonitor.service
	dh_systemd_enable --name=cumulus-pstore cumulus-pstore.service
	dh_systemd_enable --no-enable --name=bmcd bmcd.service

override_dh_installinit:

override_dh_pysupport:

override_dh_auto_build:
	rm -rf man
	mkdir man
	for r in $$(ls rst/*.rst) ; do \
		dst_file="man/$$(basename $$r .rst)" ; \
		rst2man --halt=2 $$r > $$dst_file || { \
			echo "Error: problems genertaing man page: $$r" ; \
			exit 1 ; } ; \
	done
	dh_auto_build

DECOMMENT = debian/cumulus-tools/usr/cumulus/bin/ecmpcalc debian/cumulus-tools/usr/cumulus/bin/cl-route-check
override_dh_install:
	dh_install
	@for f in $(DECOMMENT) ; do ./decomment.py $$f $$f ; done
